package com.crm.manager.service;

import com.crm.rely.backend.core.constant.Constants;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.boot.test.mock.mockito.MockBean;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

@SpringBootTest
@RunWith(SpringJUnit4ClassRunner.class)
public class AccountServiceTest {


    @Autowired
    private AccountInfoService accountInfoService;


    @Test
    public void loginExistsByPlatform() {
        try {
            Boolean b = accountInfoService.loginExistsByPlatform(66521252L, Constants.MT4);
            System.out.println(b);
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}
